Index: /palm/trunk/SOURCE/ls_forcing.f90
===================================================================
--- /palm/trunk/SOURCE/ls_forcing.f90	(revision 1319)
+++ /palm/trunk/SOURCE/ls_forcing.f90	(revision 1320)
@@ -20,5 +20,9 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -59,18 +63,37 @@
     SUBROUTINE init_ls_forcing
 
-       USE arrays_3d
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  p_surf, pt_surf, q_surf, qsws_surf, shf_surf, time_surf,     &
+                  time_vert, ug_vert, vg_vert, wsubs_vert, zu
+
+       USE control_parameters,                                                 &
+           ONLY:  end_time, lsf_surf, lsf_vert, message_string, nlsf
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzt
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       INTEGER ::  finput = 90, ierrn, k, t 
-       CHARACTER (100)::  chmess
-       CHARACTER(1) ::  hash
-       REAL ::  r_dummy, fac
-       REAL ::  highheight, highug_vert, highvg_vert, highwsubs_vert
-       REAL ::  lowheight, lowug_vert, lowvg_vert, lowwsubs_vert
+       CHARACTER(100) ::  chmess              !:
+       CHARACTER(1)   ::  hash                !:
+
+       INTEGER(iwp) ::  ierrn                 !:
+       INTEGER(iwp) ::  finput = 90           !:
+       INTEGER(iwp) ::  k                     !:
+       INTEGER(iwp) ::  t                     !:
+
+       REAL(wp) ::  fac                       !:
+       REAL(wp) ::  highheight                !:
+       REAL(wp) ::  highug_vert               !:
+       REAL(wp) ::  highvg_vert               !:
+       REAL(wp) ::  highwsubs_vert            !:
+       REAL(wp) ::  lowheight                 !:
+       REAL(wp) ::  lowug_vert                !:
+       REAL(wp) ::  lowvg_vert                !:
+       REAL(wp) ::  lowwsubs_vert             !:
+       REAL(wp) ::  r_dummy                   !:
 
        ALLOCATE( p_surf(0:nlsf), pt_surf(0:nlsf), q_surf(0:nlsf),         &
@@ -226,15 +249,21 @@
     SUBROUTINE ls_forcing_surf ( time )
 
-       USE arrays_3d
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  p_surf, pt_surf, q_surf, qsws, qsws_surf, shf, shf_surf,     &
+                  time_surf, time_vert, ug, ug_vert, vg, vg_vert
+
+       USE control_parameters,                                                 &
+           ONLY:  bc_q_b, ibc_pt_b, ibc_q_b, pt_surface, q_surface,            &
+                  surface_pressure
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       REAL, INTENT(in)  :: time
-       REAL :: fac
-       INTEGER :: t
+       INTEGER(iwp) ::  t                     !:
+
+       REAL(wp)             :: fac            !:
+       REAL(wp), INTENT(in) :: time           !:
 
 !
@@ -284,15 +313,19 @@
     SUBROUTINE ls_forcing_vert ( time )
 
-       USE arrays_3d
-       USE control_parameters
-       USE cpulog
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  time_vert, ug, ug_vert, vg, vg_vert, w_subs, wsubs_vert
+
+       USE control_parameters,                                                 &
+           ONLY:  large_scale_subsidence
+
+       USE kinds
+
 
        IMPLICIT NONE
 
-       REAL, INTENT(in)  :: time
-       REAL :: fac
-       INTEGER :: t
+       INTEGER(iwp) ::  t                     !:
+
+       REAL(wp)             ::  fac           !:
+       REAL(wp), INTENT(in) ::  time          !:
 
 !
Index: /palm/trunk/SOURCE/message.f90
===================================================================
--- /palm/trunk/SOURCE/message.f90	(revision 1319)
+++ /palm/trunk/SOURCE/message.f90	(revision 1320)
@@ -21,5 +21,9 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -29,10 +33,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 746 2011-08-18 21:14:48Z letzel
-! 'wiki' inserted into weblink path to error message database
-! 
-! 563 2010-09-30 13:08:44Z raasch
-! Weblink to error message database changed to new trac server
 !
 ! 213 2008-11-13 10:26:18Z raasch
@@ -50,16 +48,28 @@
 !------------------------------------------------------------------------------!
 
+    USE control_parameters,                                                  &
+        ONLY:  abort_mode, message_string
+
+    USE kinds
+
     USE pegrid
-    USE control_parameters
 
     IMPLICIT NONE
 
-    CHARACTER(LEN=6)   ::  message_identifier
-    CHARACTER(LEN=*)   ::  routine_name
-    CHARACTER(LEN=200) ::  header_string, information_string_1,information_string_2
-
-    INTEGER ::  file_id, flush, i, message_level, output_on_pe, requested_action
-
-    LOGICAL ::  do_output, pe_out_of_range
+    CHARACTER(LEN=6)   ::  message_identifier            !:
+    CHARACTER(LEN=*)   ::  routine_name                  !:
+    CHARACTER(LEN=200) ::  header_string                 !:
+    CHARACTER(LEN=200) ::  information_string_1          !:
+    CHARACTER(LEN=200) ::  information_string_2          !:
+
+    INTEGER(iwp) ::  file_id                             !:
+    INTEGER(iwp) ::  flush                               !:
+    INTEGER(iwp) ::  i                                   !:
+    INTEGER(iwp) ::  message_level                       !:
+    INTEGER(iwp) ::  output_on_pe                        !:
+    INTEGER(iwp) ::  requested_action                    !:
+
+    LOGICAL ::  do_output                                !:
+    LOGICAL ::  pe_out_of_range                          !:
 
 
Index: /palm/trunk/SOURCE/microphysics.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics.f90	(revision 1319)
+++ /palm/trunk/SOURCE/microphysics.f90	(revision 1320)
@@ -20,5 +20,9 @@
 ! Current revisions:
 ! ------------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -111,10 +115,12 @@
        USE grid_variables
        USE indices
+       USE kinds
        USE statistics
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
  
        DO  i = nxl, nxr
@@ -133,8 +139,11 @@
        USE cloud_parameters
        USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
 
  
@@ -157,10 +166,12 @@
        USE grid_variables
        USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
-
- 
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
+
        DO  i = nxl, nxr
           DO  j = nys, nyn
@@ -180,10 +191,12 @@
        USE control_parameters
        USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
-
- 
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
+
        DO  i = nxl, nxr
           DO  j = nys, nyn
@@ -203,8 +216,11 @@
        USE control_parameters
        USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
 
  
@@ -227,9 +243,11 @@
        USE control_parameters
        USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
-
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
  
        DO  i = nxl, nxr
@@ -251,9 +269,11 @@
        USE control_parameters
        USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
-
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
  
        DO  i = nxl, nxr
@@ -275,10 +295,12 @@
        USE control_parameters
        USE indices
+       USE kinds
        USE statistics
 
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
  
        DO  i = nxl, nxr
@@ -299,15 +321,31 @@
     SUBROUTINE microphysics_control_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE control_parameters
-       USE grid_variables
-       USE indices
-       USE statistics
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k 
-       REAL    ::  t_surface
+       USE arrays_3d,                                                          &
+           ONLY:  hyp, nc_1d,  nr, nr_1d, pt, pt_init, pt_1d, q, q_1d, qc,     &
+                  qc_1d, qr, qr_1d, tend_nr, tend_pt, tend_q, tend_qr, zu
+
+       USE cloud_parameters,                                                   &
+           ONLY:  cp, hyrho, nc_const, pt_d_t, r_d, t_d_pt
+
+       USE control_parameters,                                                 &
+           ONLY:  drizzle, dt_3d, dt_micro, g, intermediate_timestep_count,    &
+                  large_scale_forcing, lsf_surf, precipitation, pt_surface,    &
+                  rho_surface,surface_pressure
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzt
+
+       USE kinds
+
+       USE statistics,                                                         &
+           ONLY:  weight_pres
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
+
+       REAL(wp)     ::  t_surface         !:
 
        IF ( large_scale_forcing .AND. lsf_surf ) THEN
@@ -369,11 +407,20 @@
     SUBROUTINE adjust_cloud_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
+       USE arrays_3d,                                                          &
+           ONLY:  qr, nr
+
+       USE cloud_parameters,                                                   &
+           ONLY:  eps_sb, xrmin, xrmax, hyrho, k_cc, x0
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_s_inner, nzt
+
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
 !
 !--    Adjust number of raindrops to avoid nonlinear effects in 
@@ -407,16 +454,42 @@
     SUBROUTINE autoconversion_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE control_parameters
-       USE grid_variables
-       USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
-       REAL    ::  alpha_cc, autocon, epsilon, k_au, l_mix, nu_c, phi_au,      &
-                   r_cc, rc, re_lambda, selfcoll, sigma_cc, tau_cloud, xc                      
-
+       USE arrays_3d,                                                          &
+           ONLY:  diss, dzu, nc_1d, nr_1d, qc_1d, qr_1d
+
+       USE cloud_parameters,                                                   &
+           ONLY:  a_1, a_2, a_3, b_1, b_2, b_3, beta_cc, c_1, c_2, c_3,        &
+                  c_const, dpirho_l, eps_sb, hyrho, k_cc, kin_vis_air, x0
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_micro, rho_surface, turbulence
+
+       USE grid_variables,                                                     &
+           ONLY:  dx, dy
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_s_inner, nzt
+
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
+
+       REAL(wp)     ::  alpha_cc          !:                   
+       REAL(wp)     ::  autocon           !:
+       REAL(wp)     ::  epsilon           !:
+       REAL(wp)     ::  k_au              !:
+       REAL(wp)     ::  l_mix             !:
+       REAL(wp)     ::  nu_c              !:
+       REAL(wp)     ::  phi_au            !:
+       REAL(wp)     ::  r_cc              !:
+       REAL(wp)     ::  rc                !:
+       REAL(wp)     ::  re_lambda         !:
+       REAL(wp)     ::  selfcoll          !:
+       REAL(wp)     ::  sigma_cc          !:
+       REAL(wp)     ::  tau_cloud         !:
+       REAL(wp)     ::  xc                !:
 
        k_au = k_cc / ( 20.0 * x0 )
@@ -491,13 +564,29 @@
     SUBROUTINE accretion_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE control_parameters
-       USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
-       REAL    ::  accr, k_cr, phi_ac, tau_cloud, xc
+       USE arrays_3d,                                                          &
+           ONLY:  diss, qc_1d, qr_1d
+
+       USE cloud_parameters,                                                   &
+           ONLY:  eps_sb, hyrho, k_cr0
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_micro, rho_surface, turbulence
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_s_inner, nzt
+
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
+
+       REAL(wp)     ::  accr              !:
+       REAL(wp)     ::  k_cr              !:
+       REAL(wp)     ::  phi_ac            !:
+       REAL(wp)     ::  tau_cloud         !:
+       REAL(wp)     ::  xc                !:
 
        DO  k = nzb_s_inner(j,i)+1, nzt
@@ -539,13 +628,28 @@
     SUBROUTINE selfcollection_breakup_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  nr_1d, qr_1d
+
+       USE cloud_parameters,                                                   &
+           ONLY:  dpirho_l, eps_sb, hyrho, k_br, k_rr
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_micro, rho_surface
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_s_inner, nzt
+
+       USE kinds
    
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  breakup, dr, phi_br, selfcoll
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
+
+       REAL(wp)     ::  breakup           !:
+       REAL(wp)     ::  dr                !:
+       REAL(wp)     ::  phi_br            !:
+       REAL(wp)     ::  selfcoll          !:
 
        DO  k = nzb_s_inner(j,i)+1, nzt
@@ -581,15 +685,47 @@
 !--    precipitable water.
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE constants
-       USE control_parameters
-       USE indices
-
-       IMPLICIT NONE
-
-       INTEGER ::  i, j, k
-       REAL    ::  alpha, dr, e_s, evap, evap_nr, f_vent, g_evap, lambda_r, &
-                   mu_r, mu_r_2, mu_r_5d2, nr_0, q_s, sat, t_l, temp, xr
+       USE arrays_3d,                                                          &
+           ONLY:  hyp, nr_1d, pt_1d, q_1d,  qc_1d, qr_1d
+
+       USE cloud_parameters,                                                   &
+           ONLY:  a_term, a_vent, b_term, b_vent, c_evap, c_term, diff_coeff_l,&
+                  dpirho_l, eps_sb, hyrho, kin_vis_air, k_st, l_d_cp, l_d_r,   &
+                  l_v, rho_l, r_v, schmidt_p_1d3, thermal_conductivity_l,      &
+                  t_d_pt, ventilation_effect
+
+       USE constants,                                                          &
+           ONLY:  pi
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_micro
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_s_inner, nzt
+
+       USE kinds
+
+       IMPLICIT NONE
+
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
+
+       REAL(wp)     ::  alpha             !:
+       REAL(wp)     ::  dr                !:
+       REAL(wp)     ::  e_s               !:
+       REAL(wp)     ::  evap              !:
+       REAL(wp)     ::  evap_nr           !:
+       REAL(wp)     ::  f_vent            !:
+       REAL(wp)     ::  g_evap            !:
+       REAL(wp)     ::  lambda_r          !:
+       REAL(wp)     ::  mu_r              !:
+       REAL(wp)     ::  mu_r_2            !:
+       REAL(wp)     ::  mu_r_5d2          !:
+       REAL(wp)     ::  nr_0              !:
+       REAL(wp)     ::  q_s               !:
+       REAL(wp)     ::  sat               !:
+       REAL(wp)     ::  t_l               !:
+       REAL(wp)     ::  temp              !:
+       REAL(wp)     ::  xr                !:
 
        DO  k = nzb_s_inner(j,i)+1, nzt
@@ -680,16 +816,31 @@
     SUBROUTINE sedimentation_cloud_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE constants
-       USE control_parameters
-       USE indices
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, dzu, nc_1d, pt_1d, q_1d, qc_1d
+
+       USE cloud_parameters,                                                   &
+           ONLY:  eps_sb, hyrho, k_st, l_d_cp, prr, pt_d_t, rho_l, sigma_gc
+
+       USE constants,                                                          &
+           ONLY:  pi
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_do2d_xy, dt_micro, intermediate_timestep_count
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_s_inner, nzt
+
+       USE kinds
        
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k
-       REAL    ::  sed_qc_const
-
-       REAL, DIMENSION(nzb:nzt+1) :: sed_qc
+       INTEGER(iwp) ::  i                 !:
+       INTEGER(iwp) ::  j                 !:
+       INTEGER(iwp) ::  k                 !:
+
+       REAL(wp)     ::  sed_qc_const      !:
+
+
+       REAL(wp), DIMENSION(nzb:nzt+1) :: sed_qc
 
 !
@@ -725,19 +876,55 @@
     SUBROUTINE sedimentation_rain_ij( i, j )
 
-       USE arrays_3d
-       USE cloud_parameters
-       USE constants
-       USE control_parameters
-       USE indices
-       USE statistics
+       USE arrays_3d,                                                          &
+           ONLY:  ddzu, dzu, nr_1d, pt_1d, q_1d, qr_1d
+
+       USE cloud_parameters,                                                   &
+           ONLY:  a_term, b_term, c_term, cof, dpirho_l, eps_sb, hyrho,        &
+                  limiter_sedimentation, l_d_cp, precipitation_amount, prr,    &
+                  pt_d_t, stp
+
+       USE control_parameters,                                                 &
+           ONLY:  dt_do2d_xy, dt_micro, dt_3d, intermediate_timestep_count,    &
+                  intermediate_timestep_count_max,                             &
+                  precipitation_amount_interval, time_do2d_xy
+
+       USE indices,                                                            &
+           ONLY:  nzb, nzb_s_inner, nzt
+
+       USE kinds
+
+       USE statistics,                                                         &
+           ONLY:  weight_substep
        
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, k_run
-       REAL    ::  c_run, d_max, d_mean, d_min, dr, dt_sedi, flux, lambda_r,  &
-                   mu_r, z_run
-
-       REAL, DIMENSION(nzb:nzt+1) :: c_nr, c_qr, d_nr, d_qr, nr_slope,        &
-                                     qr_slope, sed_nr, sed_qr, w_nr, w_qr 
+       INTEGER(iwp) ::  i                          !:
+       INTEGER(iwp) ::  j                          !:
+       INTEGER(iwp) ::  k                          !:
+       INTEGER(iwp) ::  k_run                      !:
+
+       REAL(wp)     ::  c_run                      !:
+       REAL(wp)     ::  d_max                      !:
+       REAL(wp)     ::  d_mean                     !:
+       REAL(wp)     ::  d_min                      !:
+       REAL(wp)     ::  dr                         !:
+       REAL(wp)     ::  dt_sedi                    !:
+       REAL(wp)     ::  flux                       !:
+       REAL(wp)     ::  lambda_r                   !:
+       REAL(wp)     ::  mu_r                       !:
+       REAL(wp)     ::  z_run                      !:
+
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  c_nr      !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  c_qr      !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  d_nr      !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  d_qr      !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  nr_slope  !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  qr_slope  !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  sed_nr    !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  sed_qr    !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  w_nr      !:
+      REAL(wp), DIMENSION(nzb:nzt+1) ::  w_qr      !:
+
+
 !
 !--    Computation of sedimentation flux. Implementation according to Stevens
@@ -896,12 +1083,20 @@
     FUNCTION gamm( xx ) 
        
-       USE cloud_parameters
-    
+       USE cloud_parameters,                                                   &
+           ONLY:  cof, stp
+
+       USE kinds
+
        IMPLICIT NONE 
- 
-       REAL    ::  gamm, ser, tmp, x_gamm, xx, y_gamm
-       INTEGER ::  j 
-
- 
+
+       INTEGER(iwp) ::  j            !:
+
+       REAL(wp)     ::  gamm         !:
+       REAL(wp)     ::  ser          !:
+       REAL(wp)     ::  tmp          !:
+       REAL(wp)     ::  x_gamm       !:
+       REAL(wp)     ::  xx           !:
+       REAL(wp)     ::  y_gamm       !:
+
        x_gamm = xx 
        y_gamm = x_gamm 
Index: /palm/trunk/SOURCE/mod_kinds.f90
===================================================================
--- /palm/trunk/SOURCE/mod_kinds.f90	(revision 1319)
+++ /palm/trunk/SOURCE/mod_kinds.f90	(revision 1320)
@@ -26,7 +26,4 @@
 ! $Id$
 !
-! 1318 2014-03-17 13:35:16Z raasch
-! bugfix: default integer kind changed to single precision
-!
 ! 1306 2014-03-13 14:30:59Z raasch
 ! Initial revision
@@ -46,16 +43,16 @@
 !
 !-- Floating point kinds
-    INTEGER, PARAMETER ::  sp = 4           ! single precision (32 bit)
-    INTEGER, PARAMETER ::  dp = 8           ! double precision (64 bit)
+    INTEGER, PARAMETER ::  sp = 4           !: single precision (32 bit)
+    INTEGER, PARAMETER ::  dp = 8           !: double precision (64 bit)
 
 !
 !-- Integer kinds
-    INTEGER, PARAMETER ::  isp = SELECTED_INT_KIND(  9 )   ! single precision (32 bit)
-    INTEGER, PARAMETER ::  idp = SELECTED_INT_KIND( 14 )   ! double precision (64 bit)
+    INTEGER, PARAMETER ::  isp = SELECTED_INT_KIND(  9 )   !: single precision (32 bit)
+    INTEGER, PARAMETER ::  idp = SELECTED_INT_KIND( 14 )   !: double precision (64 bit)
 
 !
 !-- Set kinds to be used as defaults
-    INTEGER, PARAMETER ::   wp =  dp          ! default real kind
-    INTEGER, PARAMETER ::  iwp = isp          ! default integer kind
+    INTEGER, PARAMETER ::   wp =  dp          !: default real kind
+    INTEGER, PARAMETER ::  iwp = isp          !: default integer kind
 
     SAVE
